com.taosdata.jdbc.utils

## Class CompletableFutureTimeout

- java.lang.Object
- - com.taosdata.jdbc.utils.CompletableFutureTimeout

    public class CompletableFutureTimeout
    extends Object

### Method Summary

All Methods Static Methods Concrete Methods
`static <T> CompletableFuture<T>` `orTimeout(CompletableFuture<T> future, long timeout, TimeUnit unit, String msg)`
`static <T> CompletableFuture<T>` `orTimeout(T t, CompletableFuture<T> future, long timeout, TimeUnit unit, String msg)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### orTimeout

    public static <T> CompletableFuture<T> orTimeout(CompletableFuture<T> future,
                                                     long timeout,
                                                     TimeUnit unit,
                                                     String msg)

#### orTimeout

    public static <T> CompletableFuture<T> orTimeout(T t,
                                                     CompletableFuture<T> future,
                                                     long timeout,
                                                     TimeUnit unit,
                                                     String msg)